{% extends "base.html" %}

{% load static %}

{% block content %}


<head>
    <title> Board Members </title>
</head>

<style type="text/css">
    table {
        font-size: 110%;
    }

    th {
        text-align: left;
        background: #53d6bb;
        padding: 5px;
        border: 1px solid black;
    }

    td {
        padding: 4px;
        border: 1px solid black;
    }
</style>

<body>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>

    <center>
        <h2>Filter Options</h2>
        <script type="text/javascript">
            function searchname() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("name");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[0];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>

        <script type="text/javascript">
            function searchtitle() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("title");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[1];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>


        <script type="text/javascript">
            function searchsalary() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("salary");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[2];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>

        <script type="text/javascript">
            function searchmail() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("mail");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[4];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>


        <script type="text/javascript">
            function searchphone() {
                var input, table, tr, td, filter, i, txtdata;
                input = document.getElementById("phone");
                filter = input.value.toUpperCase();
                table = document.getElementById("t_e");
                tr = table.getElementsByTagName("tr");
                for (i = 0; i < tr.length; i++) {
                    td = tr[i].getElementsByTagName("td")[5];
                    if (td) {
                        txtdata = td.innerText;
                        if (txtdata.toUpperCase().indexOf(filter) > -1) {
                            tr[i].style.display = "";
                        } else {
                            tr[i].style.display = "none";
                        }
                    }
                }
            }
        </script>




        <hr />
        <br>
        <label for="name">Name:</label>
        <input type="text" id="name" onkeyup="searchname();" />

        <label for="title">Title:</label>
        <input type="text" id="title" onkeyup="searchtitle();" />


        <label for="salary">Salary:</label>
        <input type="text" id="salary" onkeyup="searchsalary();" />


        <label for="mail">E-mail:</label>
        <input type="text" id="mail" onkeyup="searchmail();" />

        <label for="phone">Phone Number:</label>
        <input type="text" id="phone" onkeyup="searchphone();" />
    </center>



    <script type="text/javascript">
        function searchname() {
            var input, table, tr, td, filter, i, txtdata;
            input = document.getElementById("name");
            filter = input.value.toUpperCase();
            table = document.getElementById("t_e");
            tr = table.getElementsByTagName("tr");
            for (i = 0; i < tr.length; i++) {
                td = tr[i].getElementsByTagName("td")[0];
                if (td) {
                    txtdata = td.innerText;
                    if (txtdata.toUpperCase().indexOf(filter) > -1) {
                        tr[i].style.display = "";
                    } else {
                        tr[i].style.display = "none";
                    }
                }
            }
        }
    </script>
    <center>
        <hr />

        <h1>Board Members list</h1>

        <table class="table" border="1" id="t_e">
            <tr>
                <th> Name</th>
                <th> Title</th>
                <th> Salary</th>
                <th> Birth date</th>
                <th> E-mail</th>
                <th> Phone number</th>
            </tr>
            {% for result in BoardMember%}
            <tr>
                <td>
                    {{result.bm_name}}
                </td>
                <td>
                    {{result.title}}
                </td>
                <td>
                    {{result.salary}}
                </td>
                <td>
                    {{result.birth_date}}
                </td>
                <td>
                    {{result.e_mail}}
                </td>
                <td>
                    {{result.phone_numb}}
                </td>

                {% endfor %}

            </tr>
        </table>
    </center>
</body>

{% endblock content%}
